﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd">
    <head><title>Prerequisites for Managing Files</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Prerequisites for Managing Files</h1>
        <h2 id="PrerequisitesforManagingFiles-PrerequisiteforManagingtheGSPFiles">Prerequisite for Managing the GSP Files</h2>
        <p>To display the <strong>Views</strong> tab, open the <label class="filename-path">externalconfig.properties</label> file in a text editor and add the following property to the file:</p>
        <p><span class="attr">sync.ecm.viewsfiles.customise=accounts/create.gsp,accessRules/edit.gsp</span>
        </p>
        <p>Where the customer can add their customized files.</p>
        <h2 id="PrerequisitesforManagingFiles-PrerequisitesforManagingtheExternalJarFiles">Prerequisites for Managing the External Jar Files </h2>
        <ol>
            <li>
                <p>Open the <label class="filename-path">externalconfig.properties</label> file in a text editor and add the following properties to the file:<br />Windows:<br /><span class="attr">path: C:\saviynt\Conf <br></br>fileDirectory.externalJarPath=C:\saviynt\Import\externalJar\<br></br>fileDirectory.maxSizeInMB=10<br></br>fileDirectory.allowedextension=xls,txt,csv,xml,zip,sav,jar</span></p>
                <p>UNIX:<br /><span class="attr">path: /datadrive/sharedappdrive/saviynt/Conf <br></br>fileDirectory.externalJarPath=/datadrive/sharedappdrive/saviynt/Import/externalJar/<br></br>fileDirectory.maxSizeInMB=10<br></br>fileDirectory.allowedextension=xls,txt,csv,xml,zip,sav,jar</span><br /></p>
            </li>
            <li>
                <p>Open the <label class="filename-path">setenv.bat</label> (Windows) or the <label class="filename-path">setenv.sh</label> file (UNIX) in a text editor and add the classpath to the file. For example:<br />Windows:<br /><span class="attr">path: C:\apache\apache-tomcat-8.5.29\bin\<br></br>CLASSPATH=C:\saviynt\Import\externalJar\</span></p>
                <p>UNIX:<br /><span class="attr">path: /datadrive/apache/apache-tomcat-8.5.29/bin/<br></br>CLASSPATH=/datadrive/sharedappdrive/saviynt/Import/externalJar/</span></p>
            </li>
            <li>
                <p>Create an externalJar folder in <label class="filename-path">C:\saviynt\Import</label> (Windows) or <label class="filename-path">/datadrive/sharedappdrive/saviynt/Import/</label> (UNIX).</p>
            </li>
        </ol>
        <p>For more information about managing the files in EIC via the File Directory page, see <MadCap:xref href="Configuring-File-Directories.htm">Managing Files</MadCap:xref>.</p>
    </body>
</html>